CVE-2016-2085

Published on: 04/27/2016 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:15 PM UTC

CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N

Certain versions of Linux Kernel from Linux contain the following vulnerability:

The evm_verify_hmac function in security/integrity/evm/evm_main.c in the Linux kernel before 4.5 does not properly copy data, which makes it easier for local users to forge MAC values via a timing side-channel attack.

  • CVE-2016-2085 has been assigned by [email protected] to track the vulnerability - currently rated as MEDIUM severity.

CVSS3 Score: 5.5 - MEDIUM

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
LOCAL LOW LOW NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED NONE HIGH NONE

CVSS2 Score: 2.1 - LOW

Access
Vector
Access
Complexity
Authentication
LOCAL LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
NONE PARTIAL NONE

CVE References

Description Tags Link
CVE-2016-2085 in Ubuntu people.canonical.com
text/html
URL Logo CONFIRM people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-2085.html
USN-2947-3: Linux kernel (Raspberry Pi 2) vulnerabilities | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2947-3
USN-2947-1: Linux kernel vulnerabilities | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2947-1
1324867 – (CVE-2016-2085) CVE-2016-2085 kernel: timing side channel vulnerability in the Linux Extended Verification Module bugzilla.redhat.com
text/html
URL Logo CONFIRM bugzilla.redhat.com/show_bug.cgi?id=1324867
USN-2948-2: Linux kernel (Utopic HWE) regression | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2948-2
USN-2946-1: Linux kernel vulnerabilities | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2946-1
kernel/git/torvalds/linux.git - Linux kernel source tree Vendor Advisory
git.kernel.org
text/html
URL Logo CONFIRM git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=613317bd212c585c20796c10afe5daaa95d4b0a1
USN-2946-2: Linux kernel (Trusty HWE) vulnerabilities | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2946-2
CVE-2016-2085 security-tracker.debian.org
text/html
URL Logo CONFIRM security-tracker.debian.org/tracker/CVE-2016-2085
EVM: Use crypto_memneq() for digest comparisons · torvalds/[email protected] · GitHub Patch
Vendor Advisory
github.com
text/html
URL Logo CONFIRM github.com/torvalds/linux/commit/613317bd212c585c20796c10afe5daaa95d4b0a1
USN-2948-1: Linux kernel (Utopic HWE) vulnerabilities | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2948-1
USN-2947-2: Linux kernel (Wily HWE) vulnerabilities | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2947-2
USN-2949-1: Linux kernel (Vivid HWE) vulnerabilities | Ubuntu www.ubuntu.com
text/html
URL Logo UBUNTU USN-2949-1

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
Operating
System
LinuxLinux KernelAllAllAllAll
  • cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*: